import type { CSpellApplicationConfiguration } from '../../CSpellApplicationConfiguration';
import type { ConfigInfo, FileResult } from '../../fileHelper';
export declare const DEFAULT_CACHE_LOCATION = ".cspellcache";
export interface CSpellLintResultCache {
    /**
     * Retrieve cached lint results for a given file name, if present in the cache.
     */
    getCachedLintResults(filename: string, configInfo: ConfigInfo): Promise<FileResult | undefined>;
    /**
     * Set the cached lint results.
     */
    setCachedLintResults(result: FileResult, configInfo: ConfigInfo): void;
    /**
     * Persists the in-memory cache to disk.
     */
    reconcile(): void;
}
/**
 * Creates CSpellLintResultCache (disk cache if caching is enabled in config or dummy otherwise)
 */
export declare function createCache(cfg: CSpellApplicationConfiguration): CSpellLintResultCache;
//# sourceMappingURL=index.d.ts.map