"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isError = exports.toError = exports.ApplicationError = exports.CheckFailed = void 0;
const util_1 = require("util");
class CheckFailed extends Error {
    constructor(message, exitCode = 1) {
        super(message);
        this.exitCode = exitCode;
    }
}
exports.CheckFailed = CheckFailed;
class ApplicationError extends Error {
    constructor(message, exitCode = 1) {
        super(message);
        this.exitCode = exitCode;
    }
}
exports.ApplicationError = ApplicationError;
function toError(e) {
    if (isError(e))
        return e;
    return {
        name: 'error',
        message: (0, util_1.format)(e),
    };
}
exports.toError = toError;
function isError(e) {
    if (e instanceof Error)
        return true;
    if (!e || typeof e !== 'object')
        return false;
    const ex = e;
    return typeof ex.name === 'string' && typeof ex.message === 'string';
}
exports.isError = isError;
//# sourceMappingURL=errors.js.map